Bibliotecas de cliente Beta

Dependendo do idioma do seu aplicativo, talvez você precise usar uma biblioteca de cliente específica da versão Beta para usar os recursos Beta da API Video Intelligence.

Como instalar a biblioteca de cliente Beta

A biblioteca de cliente v1p3beta1 está disponível para as versões Beta do Streaming e Live streaming.

Java

Se você usa o Maven, adicione este código ao arquivo pom.xml:

<dependency>
  <groupId>com.google.cloud</groupId>
  <artifactId>google-cloud-video-intelligence</artifactId>
  <version>0.84.0-beta</version>
</dependency>

Se você usa o Gradle, adicione este código às dependências:

compile 'com.google.cloud:google-cloud-video-intelligence:0.84.0-beta'

Se você usa o SBT, adicione este código às dependências:

libraryDependencies += "com.google.cloud" % "google-cloud-video-intelligence" % "0.84.0-beta"

Node.js

Os recursos Beta estão disponíveis na biblioteca de cliente da API Video Intelligence para Node.js.

No seu aplicativo do Node.js, especifique a versão Beta da API com a seguinte linha:

const videoIntelligence = require('@google-cloud/video-intelligence').v1p3beta1;

Python

Os recursos Beta estão disponíveis na biblioteca de cliente da API Video Intelligence para Python.

Seu requirements.txt precisa incluir o seguinte item:

google-cloud-videointelligence==1.8.0

No seu aplicativo em Python, importe a versão v1p2beta1 da API:

from google.cloud import videointelligence_v1p1beta1 as videointelligence